## com.lowagie.text.pdf
Class PdfPageLabels.PdfPageLabelFormat

    java.lang.Object
      com.lowagie.text.pdf.PdfPageLabels.PdfPageLabelFormat

Enclosing class:
  PdfPageLabels

    public static class PdfPageLabels.PdfPageLabelFormat

extends java.lang.Object

Field Summary
`int` `logicalPage`
`int` `numberStyle`
`int` `physicalPage`
`java.lang.String` `prefix`

Constructor Summary
`PdfPageLabels.PdfPageLabelFormat(int physicalPage, int numberStyle, java.lang.String prefix, int logicalPage)` Creates a page label format.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### physicalPage

    public int physicalPage

### numberStyle

    public int numberStyle

### prefix

    public java.lang.String prefix

### logicalPage

    public int logicalPage

Constructor Detail

### PdfPageLabels.PdfPageLabelFormat

    public PdfPageLabels.PdfPageLabelFormat(int physicalPage,
                                            int numberStyle,
                                            java.lang.String prefix,
                                            int logicalPage)

  Creates a page label format.

  Parameters:
    `physicalPage` - the real page to start the numbering. First page is 1
    `numberStyle` - the numbering style such as LOWERCASE_ROMAN_NUMERALS
    `prefix` - the text to prefix the number. Can be `null` or empty
    `logicalPage` - the first logical page number

Hosted by Hostbasket